# 88. Mutācija: eksportēt Zonu karti kā saspiestu Shapefile

Ģenerēt zip arhīvu ar izvēlēto "ZonesMap" kā shapefile.

{% hint style="info" %}
Arhīvs sastāv no \*.shp, \*.shx, \*.prj, \*.dbf failiem EPSG:4326.
{% endhint %}

### 1. Sagatavošana

* Atribūts `vectorAnalysisMaps` satur masīvu ar ZonesMaps (VectorAnalysisMaps) objektiem, kas jāeksportē. Katrs šāds objekts ietver pāri no `fieldUuid` (saiste ar izvēlēto lauku) un `uuid` (saiste ar izvēlēto ZonesMap).
* Būla atribūts `asMultiGeometry` nosaka, vai zonas tiek eksportētas kā `Poligoni` vai `Multipoligoni` (kad iestatīts uz `true` ).
* Būla atribūts `onlyProductColumns` norāda, vai shapefile jāiekļauj tikai kolonnas ar produktiem (RX) (kad `true`). Citādi tiks iekļauti visi statistiskie atribūti un zonas ID kā kolonnas.
* Atribūts `archiveName` satur ģenerētā zip arhīva nosaukumu.
* Atribūts `filePostfix` ļauj pievienot pielāgotus sufiksus eksportētajiem failiem un arhīvam.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    ievade: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Lejupielādēt ģenerēto arhīvu

Pēc GraphQL vaicājuma izpildes to iespējams lejupielādēt, izmantojot `curl` vai līdzīgu pieeju.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/88.-mutacija-eksportet-zonu-karti-ka-saspiestu-shapefile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
